Bug 1912705 - python-psutil fails to build with Python 3.10: AssertionError: -0.15 not greater than or equal to 0
Summary: python-psutil fails to build with Python 3.10: AssertionError: -0.15 not grea...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-psutil
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-05 09:53 UTC by Tomáš Hrnčiar
Modified: 2021-01-11 08:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-11 00:15:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-05 09:53:47 UTC
python-psutil fails to build with Python 3.10.0a3.

======================================================================
FAIL: psutil.tests.test_system.TestSensorsAPIs.test_sensors_temperatures
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/psutil-release-5.8.0/psutil/tests/test_system.py", line 840, in test_sensors_temperatures
    self.assertGreaterEqual(entry.current, 0)
AssertionError: -0.15 not greater than or equal to 0

----------------------------------------------------------------------
Ran 543 tests in 3.716s

FAILED (failures=1, skipped=180)
FAILED

make: *** [Makefile:121: test] Error 1

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01856336-python-psutil/

For all our attempts to build python-psutil with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-psutil/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Kevin Fenzi 2021-01-10 23:42:02 UTC
psutils tests are very... env tricky. I guess that this test gives a false positive on copr builders due to the hardware. 

I'll just disable this test for now.

Comment 2 Kevin Fenzi 2021-01-11 00:15:13 UTC
Had to disable another one too, but then it built again 3.10. ;)

Comment 3 Miro Hrončok 2021-01-11 08:51:52 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.